- object: df
  method: fill_nan
  args: []
  kwargs: {}
  setas: df
- object: df
  method: astype
  args:
    [
      {
        "FlockAge": "float64",
        "ProteinBreedCodesIRN_Progeny": "object",
        "ProteinProductsAnimalsIRN_Progeny": "object",
        "ProteinFarmsIRN": "object",
        "ProteinBreedCodesIRN": "object",
        "ProteinGrowoutCodesIRN": "object",
        "ProteinFacilityFeedMillsIRN": "object",
        "ProteinFacilityHatcheriesIRN_EggRoom": "object",
        "SetEggAge": "float64",
        "WOL": "float64",
        "PercentHatch": "float64",
        "HatchDate": "datetime64[ns]",
      },
    ]
  kwargs: {}
  setas: df
- object: df
  method: query
  args: ["0.1 < PercentHatch < 100.0"]
  kwargs: {}
  setas: df
- object: builtins
  method: eval
  args: ["self.df['HatchDate'].dt.isocalendar().week"]
  kwargs: {}
  setas: df["WeekNo"]
- object: df
  method: generate_previous_values
  args: []
  kwargs:
    {
      groupby: ["ProteinEntitiesIRN", "FlockAge"],
      targets: ["FlockAge", "PercentHatch"],
      n: 1,
      prefixes: ["Previous", "SecondPrevious", "ThirdPrevious"],
    }
  setas: df
- object: df
  method: rename
  args: []
  kwargs:
    {
      columns:
        {
          "HatchDate": "date",
          "FlockAge": "flockAge",
          "ProteinBreedCodesIRN_Progeny": "proteinBreedCodesIRN_Progeny",
          "ProteinProductsAnimalsIRN_Progeny": "proteinProductsAnimalsIRN_Progeny",
          "ProteinFarmsIRN": "proteinFarmsIRN",
          "ProteinBreedCodesIRN": "proteinBreedCodesIRN",
          "ProteinGrowoutCodesIRN": "proteinGrowoutCodesIRN",
          "ProteinFacilityFeedMillsIRN": "proteinFacilityFeedMillsIRN",
          "ProteinFacilityHatcheriesIRN_EggRoom": "proteinFacilityHatcheriesIRN_EggRoom",
          "SetEggAge": "setEggAge",
          "WOL": "wol",
          "PercentHatch": "label",
          "WeekNo": "weekNo",
          "PreviousFlockAge": "previousFlockAge",
          "PreviousPercentHatch": "previousPercentHatch",
          "SecondPreviousFlockAge": "secondPreviousFlockAge",
          "SecondPreviousPercentHatch": "secondPreviousPercentHatch",
          "ThirdPreviousFlockAge": "thirdPreviousFlockAge",
          "ThirdPreviousPercentHatch": "thirdPreviousPercentHatch",
        },
    }
  setas: df
- object: df
  method: astype
  args:
    [
      {
        "flockAge": "float64",
        "proteinBreedCodesIRN_Progeny": "object",
        "proteinProductsAnimalsIRN_Progeny": "object",
        "proteinFarmsIRN": "object",
        "proteinBreedCodesIRN": "object",
        "proteinGrowoutCodesIRN": "object",
        "proteinFacilityFeedMillsIRN": "object",
        "proteinFacilityHatcheriesIRN_EggRoom": "object",
        "setEggAge": "float64",
        "wol": "float64",
        "label": "float64",
        "weekNo": "int64",
        "previousFlockAge": "float64",
        "previousPercentHatch": "float64",
        "secondPreviousFlockAge": "float64",
        "secondPreviousPercentHatch": "float64",
        "thirdPreviousFlockAge": "float64",
        "thirdPreviousPercentHatch": "float64",
      },
    ]
  kwargs: {}
  setas: df
- object: df
  method: filter
  args: []
  kwargs:
    {
      items:
        [
          "date",
          "flockAge",
          "proteinBreedCodesIRN_Progeny",
          "proteinProductsAnimalsIRN_Progeny",
          "proteinFarmsIRN",
          "proteinBreedCodesIRN",
          "proteinGrowoutCodesIRN",
          "proteinFacilityFeedMillsIRN",
          "proteinFacilityHatcheriesIRN_EggRoom",
          "setEggAge",
          "wol",
          "label",
          "weekNo",
          "previousFlockAge",
          "previousPercentHatch",
          "secondPreviousFlockAge",
          "secondPreviousPercentHatch",
          "thirdPreviousFlockAge",
          "thirdPreviousPercentHatch",
        ],
    }
  setas: df
- object: df
  method: time_train_test_split
  args: []
  kwargs: { test_size: 0.1, date_col: "date" }
  setas: [train, test]
